## mod 0.1.3

=== DESCRIPTION ===
Package: mod
Type: Package
Title: Lightweight and Self-Contained Modules for Code Organization
Version: 0.1.3
Authors@R: c(
  person("Siqi", "Zhang", email = "iqis.gnahz@gmail.com", role = c("aut", "cre")),
  person()
  )
Description: Creates modules inline or from a file. Modules can contain any R object and be nested. Each module have their own scope and package "search path" that does not interfere with one another or the user's working environment.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
URL: https://github.com/iqis/mod
BugReports: https://github.com/iqis/mod/issues
Suggests: testthat (>= 2.1.0), covr
NeedsCompilation: no
Packaged: 2019-08-22 02:33:34 UTC; Siqi
Author: Siqi Zhang [aut, cre]
Maintainer: Siqi Zhang <iqis.gnahz@gmail.com>
Repository: CRAN
Date/Publication: 2019-08-23 10:40:02 UTC
