## mod caml-1.1.6

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.44 2004/03/13 13:58:27 rwmj Exp $
+# $Id: Makefile,v 1.45 2004/03/18 13:24:52 rwmj Exp $
 
 include Makefile.config
 
@@ -257,7 +257,10 @@
 #	rm -rf /tmp/sv_upload
 
 upload:
+	rm -f $(PACKAGE)-$(VERSION).tar.gz.sig
 	gpg -b $(PACKAGE)-$(VERSION).tar.gz
+	ftp-upload -v -h savannah.gnu.org --dir /incoming/savannah/modcaml \
+	  $(PACKAGE)-$(VERSION).tar.gz{,.sig}
 
 check-manifest:
 	@for d in `find -type d -name CVS`; \
