## mod caml-1.2.0

=== Makefile ===
--- 
+++ 
@@ -15,58 +15,29 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.45 2004/03/18 13:24:52 rwmj Exp $
+# $Id: Makefile,v 1.52 2004/08/04 10:11:50 rwmj Exp $
 
 include Makefile.config
 
 SED := sed
-
-OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
 CC	:= $(OCAMLC)
 CFLAGS	:= -I $(APACHEINCDIR) -ccopt -DEAPI
 
-OCAMLCINCS := -I $(PCRELIBDIR) -I $(DBILIBDIR) -I $(APACHEINCDIR)
+OCAMLCINCS := -I $(PCRELIBDIR) -I $(APACHEINCDIR)
 ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \
 	template.cmo cgi.cmo
-
-ifeq ($(HAVE_CAMLTEMPLATE),1)
-CAMLTEMPLATE_DIR := $(shell ocamlfind query camltemplate)
-OCAMLCINCS += -I $(CAMLTEMPLATE_DIR)
-ALL_CMOS += $(CAMLTEMPLATE_DIR)/camlTemplateInit.cmo
-ALL_CMAS += camltemplate.cma
-endif
-
-ifeq ($(HAVE_POSTGRES),1)
-OCAMLCINCS += -I $(shell ocamlfind query postgres)
-OCAMLLIBS += -L$(shell ocamlfind query postgres) -lmlpostgres -lpq
-ALL_CMAS += postgres.cma
-endif
-
-ifeq ($(HAVE_MYSQL),1)
-OCAMLCINCS += -I $(shell ocamlfind query mysql)
-OCAMLLIBS += $(shell ocamlfind query mysql)/mysql.a \
-	-L$(shell ocamlfind query mysql) -lmysql_stubs -lmysqlclient
-ALL_CMAS += mysql.cma
-endif
-
-ifeq ($(HAVE_PERL4CAML),1)
-# XXX Hack required by ocamlc.
-# To work out what this should be, try:
-# `shell perl -MExtUtils::Embed -e ldopts'
-DYNALOADER_HACK := /usr/lib/perl/5.8.2/auto/DynaLoader/DynaLoader.a
-
-OCAMLCINCS += -I $(shell ocamlfind query perl)
-OCAMLLIBS += $(shell ocamlfind query perl)/libperl4caml.a $(DYNALOADER_HACK)
-ALL_CMAS += perl4caml.cma
-endif
+ALL_CMXS := cgi_escape.cmx template.cmx
 
 OCAMLCFLAGS := -g -w s $(OCAMLCINCS)
+OCAMLOPTFLAGS := -w s $(OCAMLCINCS)
 OCAMLLIBS += -lcamlrun -ltermcap -lunix -lstr 
-ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma dbi.cma
-
-all: META config.h mod_caml_config.ml mod_caml.so \
-     example-handlers example-scripts example-comments html
+ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma
+
+OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
+
+all: META config.h mod_caml_config.ml mod_caml.so $(ALL_CMXS) \
+     example-handlers example-scripts example-maillist example-comments html
 
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
@@ -102,10 +73,14 @@
 	examples/simple-scripts/cookies.cmo \
 	examples/simple-scripts/mail.cmo \
 	examples/simple-scripts/upload_image.cmo \
-	examples/useful-scripts/crumbs.cmo \
-	examples/useful-scripts/maillist.cmo
+	examples/useful-scripts/crumbs.cmo
 
 ifeq ($(HAVE_POSTGRES),1)
+example-maillist: examples/useful-scripts/maillist.cmo
+
+examples/useful-scripts/maillist.cmo: examples/useful-scripts/maillist.ml
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -c $<
+
 example-comments: examples/comments/comments.cmo \
 	examples/comments/comments_login_form.cmo \
 	examples/comments/comments_login.cmo \
@@ -115,24 +90,29 @@
 	examples/comments/show_comments.cmo \
 	examples/comments/view_comments.cmo
 
-examples/comments/comments_login_form.cmo: \
-		examples/comments/comments_login_form.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+examples/comments/comments.cmo: examples/comments/comments.ml
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
+examples/comments/comments_login_form.cmo: examples/comments/comments_login_form.ml
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/comments_login.cmo: examples/comments/comments_login.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/delete_comment.cmo: examples/comments/delete_comment.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/post_comment.cmo: examples/comments/post_comment.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/post_comment_form.cmo: examples/comments/post_comment_form.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/show_comments.cmo: examples/comments/show_comments.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/view_comments.cmo: examples/comments/view_comments.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 else
+example-maillist:
 example-comments:
 endif
+
+%.cmx: %.ml
+	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<
 
 %.cmi: %.mli
 	$(OCAMLC) $(OCAMLCFLAGS) -c $<
@@ -187,10 +167,10 @@
 	install -c -m 0644 mod_caml.mli mod_caml.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 cgi_escape.cmo cgi_escape.mli cgi_escape.cmi \
-	$(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 template.cmo template.mli template.cmi \
-	$(DESTDIR)$(OCAMLAPACHEDIR)
+	install -c -m 0644 cgi_escape.cmo cgi_escape.cmx cgi_escape.o \
+	cgi_escape.mli cgi_escape.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	install -c -m 0644 template.cmo template.cmx template.o \
+	template.mli template.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 registry.mli registry.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
@@ -242,6 +222,7 @@
 	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
 
 dist:
+	$(MAKE) check-manifest
 	rm -rf $(PACKAGE)-$(VERSION)
 	mkdir $(PACKAGE)-$(VERSION)
 	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
@@ -263,15 +244,16 @@
 	  $(PACKAGE)-$(VERSION).tar.gz{,.sig}
 
 check-manifest:
-	@for d in `find -type d -name CVS`; \
+	@for d in `find -type d -name CVS | grep -v '^\./debian/'`; \
 	do \
 	b=`dirname $$d`/; \
 	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
 	sed -e "s|^|$$b|" -e "s|^\./||"; \
 	done | sort > .check-manifest; \
 	sort MANIFEST > .orig-manifest; \
-	diff -u .orig-manifest .check-manifest; \
-	rm -f .orig-manifest .check-manifest
+	diff -u .orig-manifest .check-manifest; rv=$$?; \
+	rm -f .orig-manifest .check-manifest; \
+	exit $$rv
 
 # Build Debian package.
 # NB. Debian source packages cannot contain '_', so we have to pretend this
@@ -295,7 +277,7 @@
 	rm -rf /tmp/dbuild/modcaml-$(VERSION)
 	ls -l /tmp/dbuild
 
-.PHONY: example-handlers example-scripts example-comments \
+.PHONY: example-handlers example-scripts example-maillist example-comments \
 	install-main install-examples-simple install-examples-useful \
 	install-examples-comments \
 	dep depend dist upload check-manifest html
