## mod caml-1.2.1

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,12 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.52 2004/08/04 10:11:50 rwmj Exp $
+# $Id: Makefile,v 1.54 2004/08/20 14:51:34 rwmj Exp $
 
 include Makefile.config
+
+TMPDIR ?= /tmp
+export TMPDIR
 
 SED := sed
 
@@ -36,8 +39,10 @@
 
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
-all: META config.h mod_caml_config.ml mod_caml.so $(ALL_CMXS) \
-     example-handlers example-scripts example-maillist example-comments html
+all:	META config.h mod_caml_config.ml mod_caml.so 500mod_caml.info \
+	$(ALL_CMXS) \
+	example-handlers example-scripts example-maillist example-comments \
+	html
 
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
@@ -60,6 +65,9 @@
 	-e 's,@APACHE_MAJOR@,$(APACHE_MAJOR),g' \
 	< $< > $@
 
+500mod_caml.info:
+	echo LoadModule caml_module $(APACHELIBDIR)/mod_caml.so > $@
+
 mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
 	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
 	  -cclib "-fPIC -shared $(OCAMLLIBS)"
@@ -143,6 +151,7 @@
 clean:
 	rm -f *~ *.bak core *.o *.lo *.slo
 	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
+	rm -f 500mod_caml.info
 	rm -f examples/*~
 	rm -f examples/simple-scripts/{*~,*.cmi,*.cmo,*.cmx}
 	rm -f examples/useful-scripts/{*~,*.cmi,*.cmo,*.cmx}
@@ -155,13 +164,15 @@
 	install-icons \
 	install-examples-simple install-examples-useful \
 	install-examples-comments \
-	install-doc install-html
+	install-doc install-html \
+	install-conf
 
 install-main:
-	install -c -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
+	install    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
+	install    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
 	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
+	install -c -m 0755 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
 	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 mod_caml.mli mod_caml.cmi \
@@ -177,19 +188,19 @@
 	install -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)
 
 install-icons:
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
 	install -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
 
 install-examples-simple:
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
 	install -c -m 0644 examples/simple-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
 	install -c -m 0644 examples/simple-handlers/*.cmo \
 	$(DESTDIR)$(MODCAMLLIBDIR)
 
 install-examples-useful:
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
 	install -c -m 0644 examples/useful-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
 	install -c -m 0644 examples/useful-scripts/maillist.html \
@@ -205,8 +216,8 @@
 		$(DESTDIR)$(MODCAMLLIBDIR)
 	install -c -m 0644 examples/comments/comments.cmi \
 		$(DESTDIR)$(MODCAMLLIBDIR)
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
 	install -c -m 0644 examples/comments/*.html \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
 else
@@ -214,12 +225,19 @@
 endif
 
 install-doc:
-	install -c -m 0755 -d $(DESTDIR)$(DOCDIR)
+	install    -m 0755 -d $(DESTDIR)$(DOCDIR)
 	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
+	install -c -m 0644 \
+	  examples/simple-scripts/{hello,params,conditions,cookies,mail}.ml \
+	  $(DESTDIR)$(DOCDIR)
 
 install-html:
-	install -c -m 0755 -d $(DESTDIR)$(DOCDIR)/html
+	install    -m 0755 -d $(DESTDIR)$(DOCDIR)/html
 	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
+
+install-conf:
+	install    -m 0755 -d $(DESTDIR)$(APACHECONFDIR)
+	install -c -m 0644 modcaml-example.conf $(DESTDIR)$(APACHECONFDIR)
 
 dist:
 	$(MAKE) check-manifest
@@ -229,13 +247,6 @@
 	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	rm -rf $(PACKAGE)-$(VERSION)
 	ls -l $(PACKAGE)-$(VERSION).tar.gz
-
-#upload:
-#	rm -rf /tmp/sv_upload
-#	mkdir -p /tmp/sv_upload/unstable.pkg/$(VERSION)
-#	cp $(PACKAGE)-$(VERSION).tar.gz /tmp/sv_upload/unstable.pkg/$(VERSION)
-#	scp -2r /tmp/sv_upload/* rwmj@subversions.gnu.org:/upload/modcaml/
-#	rm -rf /tmp/sv_upload
 
 upload:
 	rm -f $(PACKAGE)-$(VERSION).tar.gz.sig
@@ -264,18 +275,18 @@
 	exit 1; \
 	fi
 	$(MAKE) dist
-	rm -rf /tmp/dbuild
-	mkdir /tmp/dbuild
+	rm -rf $(TMPDIR)/dbuild
+	mkdir $(TMPDIR)/dbuild
 	cp $(PACKAGE)-$(VERSION).tar.gz \
-	  /tmp/dbuild/modcaml_$(VERSION).orig.tar.gz
+	  $(TMPDIR)/dbuild/modcaml_$(VERSION).orig.tar.gz
 	export CVSROOT=`cat CVS/Root`; \
-	  cd /tmp/dbuild && \
+	  cd $(TMPDIR)/dbuild && \
 	  cvs export \
 	  -d modcaml-$(VERSION) \
 	  -D now modcaml
-	cd /tmp/dbuild/modcaml-$(VERSION) && dpkg-buildpackage -rfakeroot
-	rm -rf /tmp/dbuild/modcaml-$(VERSION)
-	ls -l /tmp/dbuild
+	cd $(TMPDIR)/dbuild/modcaml-$(VERSION) && dpkg-buildpackage -rfakeroot
+	rm -rf $(TMPDIR)/dbuild/modcaml-$(VERSION)
+	ls -l $(TMPDIR)/dbuild
 
 .PHONY: example-handlers example-scripts example-maillist example-comments \
 	install-main install-examples-simple install-examples-useful \
