## mod caml-1.3.0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.54 2004/08/20 14:51:34 rwmj Exp $
+# $Id: Makefile,v 1.56 2004/09/27 11:29:55 rwmj Exp $
 
 include Makefile.config
 
@@ -81,6 +81,7 @@
 	examples/simple-scripts/cookies.cmo \
 	examples/simple-scripts/mail.cmo \
 	examples/simple-scripts/upload_image.cmo \
+	examples/simple-scripts/exceptions.cmo \
 	examples/useful-scripts/crumbs.cmo
 
 ifeq ($(HAVE_POSTGRES),1)
@@ -172,7 +173,7 @@
 	install    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
 	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
 	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0755 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
+	install -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
 	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 mod_caml.mli mod_caml.cmi \
@@ -228,7 +229,7 @@
 	install    -m 0755 -d $(DESTDIR)$(DOCDIR)
 	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
 	install -c -m 0644 \
-	  examples/simple-scripts/{hello,params,conditions,cookies,mail}.ml \
+	  examples/simple-scripts/{hello,params,conditions,cookies,mail,upload_image,exceptions}.ml \
 	  $(DESTDIR)$(DOCDIR)
 
 install-html:
