## mod caml-1.3.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.56 2004/09/27 11:29:55 rwmj Exp $
+# $Id: Makefile,v 1.57 2004/10/17 17:04:56 rwmj Exp $
 
 include Makefile.config
 
@@ -63,6 +63,8 @@
 	-e 's,@PACKAGE@,$(PACKAGE),g' \
 	-e 's,@VERSION@,$(VERSION),g' \
 	-e 's,@APACHE_MAJOR@,$(APACHE_MAJOR),g' \
+	-e 's,@MAILER_PATH@,$(MAILER_PATH),g' \
+	-e 's,@MAILER_ARGS@,$(MAILER_ARGS),g' \
 	< $< > $@
 
 500mod_caml.info:
@@ -70,7 +72,7 @@
 
 mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
 	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
-	  -cclib "-fPIC -shared $(OCAMLLIBS)"
+	  -cclib "$(PICFLAG) $(SHAREDFLAG) $(OCAMLLIBS)"
 
 example-handlers: registry.cmo examples/simple-handlers/print_trans.cmo \
 	examples/simple-handlers/auth_simple.cmo
@@ -154,10 +156,12 @@
 	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
 	rm -f 500mod_caml.info
 	rm -f examples/*~
-	rm -f examples/simple-scripts/{*~,*.cmi,*.cmo,*.cmx}
-	rm -f examples/useful-scripts/{*~,*.cmi,*.cmo,*.cmx}
-	rm -f examples/simple-handlers/{*~,*.cmi,*.cmo,*.cmx}
-	rm -f examples/comments/{*~,*.cmi,*.cmo,*.cmx}
+	for d in examples/simple-scripts examples/useful-scripts \
+	    examples/simple-handlers examples/comments; do \
+		for e in '~' .cmi .cmo .cmx; do \
+			rm -f $$d/*$$e; \
+		done; \
+	done
 	rm -f mod_caml_config.ml config.h META
 	rm -rf .libs
 
@@ -169,76 +173,76 @@
 	install-conf
 
 install-main:
-	install    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
-	install    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
-	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 mod_caml.mli mod_caml.cmi \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
+	$(INSTALL) -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL) -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL) -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 mod_caml.mli mod_caml.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 cgi_escape.cmo cgi_escape.cmx cgi_escape.o \
+	$(INSTALL) -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 cgi_escape.cmo cgi_escape.cmx cgi_escape.o \
 	cgi_escape.mli cgi_escape.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 template.cmo template.cmx template.o \
+	$(INSTALL) -c -m 0644 template.cmo template.cmx template.o \
 	template.mli template.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 registry.mli registry.cmi \
+	$(INSTALL) -c -m 0644 registry.mli registry.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)
+	$(INSTALL) -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)
 
 install-icons:
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
-	install -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
+	$(INSTALL) -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
 
 install-examples-simple:
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/simple-scripts/*.cmo \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	$(INSTALL) -c -m 0644 examples/simple-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/simple-handlers/*.cmo \
+	$(INSTALL) -c -m 0644 examples/simple-handlers/*.cmo \
 	$(DESTDIR)$(MODCAMLLIBDIR)
 
 install-examples-useful:
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install -c -m 0644 examples/useful-scripts/*.cmo \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	$(INSTALL) -c -m 0644 examples/useful-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/useful-scripts/maillist.html \
+	$(INSTALL) -c -m 0644 examples/useful-scripts/maillist.html \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install -c -m 0644 examples/useful-scripts/maillist-body.txt \
+	$(INSTALL) -c -m 0644 examples/useful-scripts/maillist-body.txt \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates
 
 ifeq ($(HAVE_POSTGRES),1)
 install-examples-comments:
-	install -c -m 0644 examples/comments/*.cmo \
+	$(INSTALL) -c -m 0644 examples/comments/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/comments/comments.cmo \
+	$(INSTALL) -c -m 0644 examples/comments/comments.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)
-	install -c -m 0644 examples/comments/comments.cmi \
+	$(INSTALL) -c -m 0644 examples/comments/comments.cmi \
 		$(DESTDIR)$(MODCAMLLIBDIR)
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
-	install -c -m 0644 examples/comments/*.html \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
+	$(INSTALL) -c -m 0644 examples/comments/*.html \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
 else
 install-examples-comments:
 endif
 
 install-doc:
-	install    -m 0755 -d $(DESTDIR)$(DOCDIR)
-	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
-	install -c -m 0644 \
-	  examples/simple-scripts/{hello,params,conditions,cookies,mail,upload_image,exceptions}.ml \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(DOCDIR)
+	$(INSTALL) -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
+	$(INSTALL) -c -m 0644 \
+	  examples/simple-scripts/*.ml \
 	  $(DESTDIR)$(DOCDIR)
 
 install-html:
-	install    -m 0755 -d $(DESTDIR)$(DOCDIR)/html
-	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(DOCDIR)/html
+	$(INSTALL) -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
 
 install-conf:
-	install    -m 0755 -d $(DESTDIR)$(APACHECONFDIR)
-	install -c -m 0644 modcaml-example.conf $(DESTDIR)$(APACHECONFDIR)
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(APACHECONFDIR)
+	$(INSTALL) -c -m 0644 modcaml-example.conf $(DESTDIR)$(APACHECONFDIR)
 
 dist:
 	$(MAKE) check-manifest
