## mod caml-1.3.4

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.57 2004/10/17 17:04:56 rwmj Exp $
+# $Id: Makefile,v 1.58 2004/11/19 23:12:14 rwmj Exp $
 
 include Makefile.config
 
@@ -24,8 +24,8 @@
 
 SED := sed
 
-CC	:= $(OCAMLC)
-CFLAGS	:= -I $(APACHEINCDIR) -ccopt -DEAPI
+CC	:= $(CC)
+CFLAGS	:= -I $(APACHEINCDIR) -DEAPI
 
 OCAMLCINCS := -I $(PCRELIBDIR) -I $(APACHEINCDIR)
 ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \
