## mod caml-1.3.6

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.58 2004/11/19 23:12:14 rwmj Exp $
+# $Id: Makefile,v 1.66 2005/01/10 17:30:26 ChriS Exp $
 
 include Makefile.config
 
@@ -24,25 +24,24 @@
 
 SED := sed
 
-CC	:= $(CC)
-CFLAGS	:= -I $(APACHEINCDIR) -DEAPI
-
-OCAMLCINCS := -I $(PCRELIBDIR) -I $(APACHEINCDIR)
+OCAMLCINCS := -I $(PCRELIBDIR)
 ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \
 	template.cmo cgi.cmo
 ALL_CMXS := cgi_escape.cmx template.cmx
 
 OCAMLCFLAGS := -g -w s $(OCAMLCINCS)
 OCAMLOPTFLAGS := -w s $(OCAMLCINCS)
-OCAMLLIBS += -lcamlrun -ltermcap -lunix -lstr 
 ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma
 
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
-all:	META config.h mod_caml_config.ml mod_caml.so 500mod_caml.info \
+all:	META config.h mod_caml_config.ml 500mod_caml.info mod_caml.so \
 	$(ALL_CMXS) \
 	example-handlers example-scripts example-maillist example-comments \
 	html
+
+.PHONY: ps
+ps: mod_caml.ps
 
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
@@ -67,12 +66,13 @@
 	-e 's,@MAILER_ARGS@,$(MAILER_ARGS),g' \
 	< $< > $@
 
-500mod_caml.info:
-	echo LoadModule caml_module $(APACHELIBDIR)/mod_caml.so > $@
-
-mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
+500mod_caml.info: 500mod_caml.info.in Makefile.config
+	sed -e 's,@APACHELIBDIR@,$(APACHELIBDIR),g' < $< > $@
+
+
+mod_caml.so: mod_caml_c.o apache_c.o wrappers.o $(ALL_CMOS)
 	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
-	  -cclib "$(PICFLAG) $(SHAREDFLAG) $(OCAMLLIBS)"
+	  -cclib "$(CFLAGS) $(LDFLAGS_SHLIB) $(OCAMLLIBS)"
 
 example-handlers: registry.cmo examples/simple-handlers/print_trans.cmo \
 	examples/simple-handlers/auth_simple.cmo
@@ -122,6 +122,10 @@
 example-comments:
 endif
 
+mod_caml.ps: $(wildcard *.ml) $(wildcard *.mli)
+	$(OCAMLDOC) -o mod_caml.dot -dot -I +pcre $^
+	dot -Tps mod_caml.dot > $@
+
 %.cmx: %.ml
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<
 
@@ -134,7 +138,7 @@
 dep:	.depend
 depend: .depend
 
-.depend:
+.depend: $(wilcard *.ml) $(wildcard *.mli)
 	rm -f .depend
 	ocamldep *.mli *.ml */*/*.ml > $@
 
@@ -153,17 +157,20 @@
 
 clean:
 	rm -f *~ *.bak core *.o *.lo *.slo
-	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
+	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a *.annot
 	rm -f 500mod_caml.info
 	rm -f examples/*~
 	for d in examples/simple-scripts examples/useful-scripts \
 	    examples/simple-handlers examples/comments; do \
-		for e in '~' .cmi .cmo .cmx; do \
+		for e in '~' .cmi .cmo .cmx .annot; do \
 			rm -f $$d/*$$e; \
 		done; \
 	done
 	rm -f mod_caml_config.ml config.h META
 	rm -rf .libs
+
+distclean:
+	rm -rf .depend html/
 
 install: install-main \
 	install-icons \
@@ -176,7 +183,7 @@
 	$(INSTALL)    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
 	$(INSTALL)    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
 	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
-	$(INSTALL) -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL) -c -m 0644 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
 	$(INSTALL) -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
 	$(INSTALL) -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	$(INSTALL) -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
