## mod cdb-0.1

=== Makefile ===
# Makefile for mod_cdb

# you have to modify this!
TOP_APACHE2 = /opt/apache2
CDBDIR = ./cdb-0.75

top_srcdir   = $(TOP_APACHE2)
top_builddir = $(TOP_APACHE2)
srcdir       = .
builddir     = .
VPATH        = .

include $(top_srcdir)/build/special.mk

INCLUDES = -I$(top_srcdir)/include -I$(CDBDIR)

all:	$(shared)

test: stop install start

stop:
	$(TOP_APACHE2)/bin/apachectl stop
start:
	$(TOP_APACHE2)/bin/apachectl start
restart:
	$(TOP_APACHE2)/bin/apachectl restart
