## mod chxj-0.4.0.src

=== doc/Makefile ===
.SUFFIXES:
.SUFFIXES: .sdoc .html

TARGET=modchxj.html

all: $(TARGET)

.sdoc.html:
	sdoc -toc:true  $<

clean:
	rm -f $(TARGET)
