## mod chxj-0.6.2.src

=== debian/changelog ===
libapache2-mod-chxj (0.6.2-1) unstable; urgency=low

  * Fix bug which operates the character-code conversion when PC 
    accesses it. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.6.1-1) unstable; urgency=low

  * Initial release 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900
