## mod chxj-0.8.0.src

=== debian/changelog ===
libapache2-mod-chxj (0.8.0-1) unstable; urgency=low

  * add b tag.
  * add fieldset tag.
  * add cookie simulator.
  * To use neither SetOutputFilter nor SetInputFilter, it changes. 
  * add referer header simulator.
  * When '_ chxj_nc' parameter exists, the cookie is not renewed.
  * The bug that the dynamic qrcode output function doesn't operate is corrected. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.1-1) unstable; urgency=low

  * bug fix
      - it cannot correctly read the value when the backslash exists in the attribute.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.0-1) unstable; urgency=low

  * bug fix which the size before it converts it into Content-Length when HEAD of 
    the image conversion is requested is returned. 
  * change to acquire it even if the extension is attached by the image acquisition 
    request.
  * bug fix into which the submit value had not converted the character-code for HDML. 
  * bug fix #8585.
  * add user_agent rewrite function.
  * bug fix that the image conversion routine was executed two times.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900
