## mod dns

=== Makefile ===

include ../Makefile

SRCS=mod_dns.c
OBJS=$(SRCS:.c=.o)

module: ${SRCS} ${OBJS}

INCS=-I../.. -I../../../libosiris -I../../../libfileapi -I../../../..

# meta-rule for compiling any "C" source file.
$(OBJS): $(SRCS)
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) ${INCLUDES} ${INCS} $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS)  $(CFLAGS) -c $(SRCS)
	cp $@ ..
